#
# spec file for package python-PyHamcrest
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-PyHamcrest
Version:        1.9.0
Release:        lp151.1.1
Summary:        Hamcrest framework for matcher objects
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/hamcrest/PyHamcrest
# PyPi is missing tests
#Source:         https://files.pythonhosted.org/packages/source/P/PyHamcrest/PyHamcrest-%%{version}.tar.gz
Source:         https://github.com/hamcrest/PyHamcrest/archive/V%{version}.tar.gz
Patch0:         0001-Add-boolean-matchers.patch
BuildRequires:  %{python_module hypothesis >= 1.11}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six >= 1.4}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six >= 1.4
Provides:       python-hamcrest = %{version}
Obsoletes:      python-hamcrest
BuildArch:      noarch
%python_subpackages

%description
Hamcrest framework for matcher objects.
PyHamcrest is a framework for writing matcher objects,
allowing you to declaratively define “match” rules.

%prep
%setup -q -n PyHamcrest-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/hamcrest

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/hamcrest
%{python_sitelib}/PyHamcrest-%{version}-py*.egg-info/

%changelog
* Wed Oct 17 2018 Tomáš Chvátal <tchvatal@suse.com>
- Provide and obsolete hamcrest
- Add patch from python-hamcrest which we now obsolete:
  * 0001-Add-boolean-matchers.patch
* Thu Oct 11 2018 Tomáš Chvátal <tchvatal@suse.com>
- Sort the deps with spec-cleaner
* Sat Oct  6 2018 ecsos@opensuse.org
- initial version 1.9.0
